Bug 987672 - Regression in Gnu Make 3.82 breaks use of stem and glob in the same dependency rule.
Regression in Gnu Make 3.82 breaks use of stem and glob in the same dependenc...
Product: Fedora
Classification: Fedora
Component: make (Show other bugs)
All All
unspecified Severity high
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-23 16:50 EDT by Jeremy Nickurak
Modified: 2015-05-04 21:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: make-3.82-18.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-01 23:26:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Savannah 39310 None None None Never

  None (edit)
Description Jeremy Nickurak 2013-07-23 16:50:14 EDT
Description of problem:
Gnu Make 3.82 introduced a regression which breaks using a stem and a glob in the same dependency. It has since been corrected in Gnu Make.

See upstream bug http://savannah.gnu.org/bugs/?39310

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Reproduction scripts at upstream bug in http://savannah.gnu.org/bugs/?39310

Additional info:

Fixed by http://git.savannah.gnu.org/cgit/make.git/commit/?id=40a49f244da5b417af8bede84ac221cee2318d88
Comment 1 Petr Machata 2013-07-26 13:59:25 EDT
Thanks for link to the fix.  I backported the patch to Rawhide and will push it for 19 and 18 as well.
Comment 2 Fedora Update System 2013-07-26 14:11:40 EDT
make-3.82-18.fc19 has been submitted as an update for Fedora 19.
Comment 3 Fedora Update System 2013-07-27 21:11:41 EDT
Package make-3.82-18.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing make-3.82-18.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-01 23:26:24 EDT
make-3.82-18.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.